Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  class Global extends nsc.Global with CompilerControl with ContextTrees with RichCompilationUnits with Picklers

  The main class of the presentation compiler in an interactive environment such as an IDE

  The main class of the presentation compiler in an interactive environment such as an IDE

  Definition Classes
    interactive
-  object CompletionResult
  Definition Classes
    Global
- NoResults
- ScopeMembers
- TypeMembers

c

scala.tools.nsc.interactive.Global.CompletionResult

# TypeMembers 

###

#### final case class TypeMembers(positionDelta: Int, qualifier: Global.Tree, tree: Global.Tree, results: List[Global.TypeMember], name: Global.Name) extends CompletionResult with Product with Serializable

Source
  Global.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, CompletionResult, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeMembers
2. Serializable
3. Serializable
4. Product
5. Equals
6. CompletionResult
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TypeMembers(positionDelta: Int, qualifier: Global.Tree, tree: Global.Tree, results: List[Global.TypeMember], name: Global.Name)

### Type Members

1.  type M = Global.TypeMember
   Definition Classes
     TypeMembers → CompletionResult

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TypeMembers to any2stringadd[TypeMembers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TypeMembers, B)
   Implicit
     This member is added by an implicit conversion from TypeMembers to ArrowAssoc[TypeMembers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (TypeMembers) ⇒ Boolean, msg: ⇒ Any): TypeMembers
   Implicit
     This member is added by an implicit conversion from TypeMembers to Ensuring[TypeMembers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (TypeMembers) ⇒ Boolean): TypeMembers
   Implicit
     This member is added by an implicit conversion from TypeMembers to Ensuring[TypeMembers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): TypeMembers
    Implicit
      This member is added by an implicit conversion from TypeMembers to Ensuring[TypeMembers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): TypeMembers
    Implicit
      This member is added by an implicit conversion from TypeMembers to Ensuring[TypeMembers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TypeMembers to StringFormat[TypeMembers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def matchingResults(nameMatcher: (Global.Name) ⇒ (Global.Name) ⇒ Boolean = ...): List[M]
    Definition Classes
      CompletionResult
18.  val name: Global.Name
    Definition Classes
      TypeMembers → CompletionResult
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  val positionDelta: Int
    Definition Classes
      TypeMembers → CompletionResult
23.  val qualifier: Global.Tree
24.  val results: List[Global.TypeMember]
    Definition Classes
      TypeMembers → CompletionResult
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  val tree: Global.Tree
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (TypeMembers, B)
    Implicit
      This member is added by an implicit conversion from TypeMembers to ArrowAssoc[TypeMembers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CompletionResult

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TypeMembers to any2stringadd[TypeMembers]

### Inherited by implicit conversion StringFormat from TypeMembers to StringFormat[TypeMembers]

### Inherited by implicit conversion Ensuring from TypeMembers to Ensuring[TypeMembers]

### Inherited by implicit conversion ArrowAssoc from TypeMembers to ArrowAssoc[TypeMembers]

### Ungrouped